Subject: Re: [PATCH] better git-submodule status output

From: Sylvain Joyeux <[email-masked]>
Date: Mon, 7 Jul 2008 17:00:23 +0200

> I haven't looked at your patch, so I don't know if you're calling
> fetch in such a way that it doesn't update any refs.
Frankly, I don't know either. But since the question is more on a design
level, it does not matter for now.

> Thus, I'd say the
> best fix would be to find a way to have "git pull" or "git fetch" in
> the supermodule also do a fetch in the submodule.  I think it's fair
> to expect "fetchy" operations like fetch and pull to perhaps do some
> extra fetches, but not fair to expect "status" to do extra work like
> that.
I do agree on the principle, it is just that I don't know where to do it
otherwise. Would the involved people be fine with a new "git submodule
fetch" command ?

> Also note that "your supermodule links to a commit that you haven't
> fetched yet" is a perfectly okay state to report to the user.  I might
> use a "?" or something to indicate that.
For now, my patch shows '!' ... But I'm open to other suggestions.

Sylvain